org.apache.xmlbeans.impl.xb.xsdschema

## Interface Wildcard.ProcessContents

- All Superinterfaces:
    XmlAnySimpleType, XmlNMTOKEN, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource
  All Known Implementing Classes:
    WildcardImpl.ProcessContentsImpl
  Enclosing interface:
    Wildcard

      public static interface Wildcard.ProcessContents
      extends XmlNMTOKEN

  An XML processContents(@). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.Wildcard$ProcessContents.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Wildcard.ProcessContents.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xsdschema.Wildcard$ProcessContents.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementFactory<Wildcard.ProcessContents>` | `Factory`
    `static int` | `INT_LAX`
    `static int` | `INT_SKIP`
    `static int` | `INT_STRICT`
    `static Wildcard.ProcessContents.Enum` | `LAX`
    `static Wildcard.ProcessContents.Enum` | `SKIP`
    `static Wildcard.ProcessContents.Enum` | `STRICT`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringEnumAbstractBase` | `getEnumValue()`
    `void` | `setEnumValue(StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<Wildcard.ProcessContents> Factory

    - #### type

          static final SchemaType type

    - #### SKIP

          static final Wildcard.ProcessContents.Enum SKIP

    - #### LAX

          static final Wildcard.ProcessContents.Enum LAX

    - #### STRICT

          static final Wildcard.ProcessContents.Enum STRICT

    - #### INT_SKIP

          static final int INT_SKIP

      See Also:
        Constant Field Values

    - #### INT_LAX

          static final int INT_LAX

      See Also:
        Constant Field Values

    - #### INT_STRICT

          static final int INT_STRICT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEnumValue

          StringEnumAbstractBase getEnumValue()

    - #### setEnumValue

          void setEnumValue(StringEnumAbstractBase e)